package request

import (
	"topsdk/util"
)

type AlibabaWdkMarketingOpenDataRelationQueryRequest struct {
	/*
	   外部数据Id     */
	OutDataIds *[]string `json:"out_data_ids" required:"true" `
	/*
	   数据类型：WDK_MARKET:五道口营销     */
	BizCode *string `json:"biz_code" required:"true" `
	/*
	   数据子类型：ACTIVITY:营销活动数据     */
	SubBizCode *string `json:"sub_biz_code" required:"true" `
}

func (s *AlibabaWdkMarketingOpenDataRelationQueryRequest) SetOutDataIds(v []string) *AlibabaWdkMarketingOpenDataRelationQueryRequest {
	s.OutDataIds = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDataRelationQueryRequest) SetBizCode(v string) *AlibabaWdkMarketingOpenDataRelationQueryRequest {
	s.BizCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDataRelationQueryRequest) SetSubBizCode(v string) *AlibabaWdkMarketingOpenDataRelationQueryRequest {
	s.SubBizCode = &v
	return s
}

func (req *AlibabaWdkMarketingOpenDataRelationQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OutDataIds != nil {
		paramMap["out_data_ids"] = util.ConvertBasicList(*req.OutDataIds)
	}
	if req.BizCode != nil {
		paramMap["biz_code"] = *req.BizCode
	}
	if req.SubBizCode != nil {
		paramMap["sub_biz_code"] = *req.SubBizCode
	}
	return paramMap
}

func (req *AlibabaWdkMarketingOpenDataRelationQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
